import { Connection, InitializeParams, InitializeResult } from "vscode-languageserver";
import Parser from "web-tree-sitter";
import { WorkDoneProgress } from "vscode-languageserver/lib/progress";
export interface ILanguageServer {
    readonly capabilities: InitializeResult;
    init(): Promise<void>;
    registerInitializedProviders(): void;
}
export declare class Server implements ILanguageServer {
    private connection;
    private params;
    private parser;
    private progress;
    private calculator;
    private settings;
    private elmWorkspaces;
    constructor(connection: Connection, params: InitializeParams, parser: Parser, progress: WorkDoneProgress);
    get capabilities(): InitializeResult;
    init(): Promise<void>;
    registerInitializedProviders(): Promise<void>;
    private getElmJsonFolder;
    private findTopLevelFolders;
    private getWorkspaceUri;
}
